package hu.elte.korszeru;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;

public class Feladat1Mapper extends MapReduceBase implements Mapper<LongWritable, Text, Text, IntWritable> {

	@Override
	public void map(LongWritable key, Text value,
			OutputCollector<Text, IntWritable> context, Reporter arg3)
			throws IOException {
		IntWritable v = new IntWritable(Integer.parseInt(value.toString()));
		if (Math.sqrt(v.get()) % 1.0 == 0.0)
			context.collect(new Text(""),v);
	}

}
