package hu.elte.korszeru;

import java.io.IOException;
import java.util.Iterator;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reducer;
import org.apache.hadoop.mapred.Reporter;

public class Feladat3Reducer extends MapReduceBase implements Reducer<Text, Text, Text, Text> {

	@Override
	public void reduce(Text key, Iterator<Text> value,
			OutputCollector<Text, Text> context, Reporter arg3) throws IOException {
		String out_edges = "";
		String in_edges = "";
		while (value.hasNext()) {
		    String v = value.next().toString();
			if (">".equals(v.charAt(0))) {
				out_edges += v.substring(1)+", ";
			} else {
				in_edges += v.substring(1)+", ";
			}
		}
		context.collect(key, new Text(in_edges+" | "+out_edges));
		
	}


}
